/*
SQLyog Community v13.1.6 (64 bit)
MySQL - 8.0.21 : Database - cvevulner
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`cvevulner` /*!40100 DEFAULT CHARACTER SET utf8 */ /*!80016 DEFAULT ENCRYPTION='N' */;

USE `cvevulner`;

/*Table structure for table `cve_admin_user` */

DROP TABLE IF EXISTS `cve_admin_user`;

CREATE TABLE `cve_admin_user` (
  `user_id` int NOT NULL AUTO_INCREMENT,
  `user_name` varchar(64) NOT NULL DEFAULT '',
  `pass_word` varchar(256) NOT NULL DEFAULT '',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `cve_git_open_euler` */

DROP TABLE IF EXISTS `cve_git_open_euler`;

CREATE TABLE `cve_git_open_euler` (
  `git_id` bigint NOT NULL AUTO_INCREMENT,
  `package_id` bigint NOT NULL DEFAULT '0',
  `package_name` varchar(256) NOT NULL DEFAULT '',
  `version` varchar(64) NOT NULL DEFAULT '',
  `release` varchar(128) NOT NULL DEFAULT '',
  `origin_url` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `license` varchar(4096) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `feature` varchar(128) NOT NULL DEFAULT '',
  `main_tainer` varchar(128) NOT NULL DEFAULT '',
  `main_tain_level` tinyint NOT NULL DEFAULT '1',
  `release_time` varchar(32) NOT NULL DEFAULT '',
  `used_time` varchar(32) NOT NULL DEFAULT '',
  `latest_version` varchar(128) NOT NULL DEFAULT '',
  `latest_version_time` varchar(32) NOT NULL DEFAULT '',
  `issue_count` bigint NOT NULL DEFAULT '0',
  `table_id` bigint NOT NULL DEFAULT '0',
  `table_name` varchar(128) NOT NULL DEFAULT '',
  `status` tinyint NOT NULL DEFAULT '0',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `delete_time` datetime DEFAULT NULL,
  PRIMARY KEY (`git_id`),
  UNIQUE KEY `cve_git_open_euler_package_version` (`package_name`,`version`),
  KEY `cve_git_open_euler_package_id` (`package_id`),
  KEY `cve_git_open_euler_version` (`version`),
  KEY `cve_git_open_euler_table_id` (`table_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9860 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_git_package_info` */

DROP TABLE IF EXISTS `cve_git_package_info`;

CREATE TABLE `cve_git_package_info` (
  `detail_id` bigint NOT NULL AUTO_INCREMENT,
  `git_id` bigint NOT NULL DEFAULT '0',
  `git_ids` bigint NOT NULL DEFAULT '0',
  `package_name` varchar(256) NOT NULL DEFAULT '',
  `version` varchar(64) NOT NULL DEFAULT '',
  `release` varchar(128) NOT NULL DEFAULT '',
  `origin_url` varchar(512) NOT NULL DEFAULT '',
  `license` varchar(4096) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `feature` varchar(128) NOT NULL DEFAULT '',
  `main_tainer` varchar(128) NOT NULL DEFAULT '',
  `main_tain_level` tinyint NOT NULL DEFAULT '1',
  `git_url` varchar(512) NOT NULL DEFAULT '',
  `summary` varchar(1024) NOT NULL DEFAULT '',
  `decription` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `build_require` varchar(4096) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `status` tinyint NOT NULL DEFAULT '0',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `delete_time` datetime DEFAULT NULL,
  PRIMARY KEY (`detail_id`),
  UNIQUE KEY `cve_git_package_info_package_version` (`package_name`,`version`),
  KEY `cve_git_package_info_git_id` (`git_id`),
  KEY `cve_git_package_info_git_ids` (`git_ids`),
  KEY `cve_git_package_info_version` (`version`)
) ENGINE=InnoDB AUTO_INCREMENT=4794 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_git_package_table` */

DROP TABLE IF EXISTS `cve_git_package_table`;

CREATE TABLE `cve_git_package_table` (
  `table_id` bigint NOT NULL AUTO_INCREMENT,
  `table_name` varchar(128) NOT NULL DEFAULT '',
  PRIMARY KEY (`table_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_git_sub_pack` */

DROP TABLE IF EXISTS `cve_git_sub_pack`;

CREATE TABLE `cve_git_sub_pack` (
  `sub_id` bigint NOT NULL AUTO_INCREMENT,
  `detail_id` bigint NOT NULL DEFAULT '0',
  `ids` bigint NOT NULL DEFAULT '0',
  `sub_pack_name` varchar(256) NOT NULL DEFAULT '',
  PRIMARY KEY (`sub_id`),
  KEY `cve_git_sub_pack_detail_id` (`detail_id`),
  KEY `cve_git_sub_pack_ids` (`ids`)
) ENGINE=InnoDB AUTO_INCREMENT=16942 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_git_sub_pack_provides` */

DROP TABLE IF EXISTS `cve_git_sub_pack_provides`;

CREATE TABLE `cve_git_sub_pack_provides` (
  `provide_id` bigint NOT NULL AUTO_INCREMENT,
  `sub_id` bigint NOT NULL DEFAULT '0',
  `ids` bigint NOT NULL DEFAULT '0',
  `provide_name` varchar(256) NOT NULL DEFAULT '',
  `requiredb` varchar(4096) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`provide_id`),
  KEY `cve_git_sub_pack_provides_sub_id` (`sub_id`),
  KEY `cve_git_sub_pack_provides_ids` (`ids`)
) ENGINE=InnoDB AUTO_INCREMENT=87847 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_git_sub_pack_require` */

DROP TABLE IF EXISTS `cve_git_sub_pack_require`;

CREATE TABLE `cve_git_sub_pack_require` (
  `require_id` bigint NOT NULL AUTO_INCREMENT,
  `sub_id` bigint NOT NULL DEFAULT '0',
  `ids` bigint NOT NULL DEFAULT '0',
  `require_name` varchar(256) NOT NULL DEFAULT '',
  `providedb` varchar(4096) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`require_id`),
  KEY `cve_git_sub_pack_require_sub_id` (`sub_id`),
  KEY `cve_git_sub_pack_require_ids` (`ids`)
) ENGINE=InnoDB AUTO_INCREMENT=110712 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_git_sub_pack_requiredby` */

DROP TABLE IF EXISTS `cve_git_sub_pack_requiredby`;

CREATE TABLE `cve_git_sub_pack_requiredby` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `provide_id` bigint NOT NULL DEFAULT '0',
  `requiredb` varchar(256) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `cve_git_sub_pack_requiredby_provide_id` (`provide_id`)
) ENGINE=InnoDB AUTO_INCREMENT=127479 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_ip_white` */

DROP TABLE IF EXISTS `cve_ip_white`;

CREATE TABLE `cve_ip_white` (
  `ip_id` int NOT NULL AUTO_INCREMENT,
  `machine_name` varchar(128) NOT NULL DEFAULT '',
  `machine_ip` varchar(128) NOT NULL DEFAULT '',
  `access_count` bigint NOT NULL DEFAULT '0',
  PRIMARY KEY (`ip_id`),
  KEY `cve_ip_white_machine_ip` (`machine_ip`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_issue_hooks` */

DROP TABLE IF EXISTS `cve_issue_hooks`;

CREATE TABLE `cve_issue_hooks` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `issue_id` bigint NOT NULL DEFAULT '0',
  `issue_num` varchar(64) NOT NULL DEFAULT '',
  `hook_id` bigint NOT NULL DEFAULT '0',
  `owner` varchar(128) NOT NULL DEFAULT '',
  `repo` varchar(128) NOT NULL DEFAULT '',
  `hook_url` varchar(512) NOT NULL DEFAULT '',
  `push_event` tinyint NOT NULL DEFAULT '1',
  `tag_push_events` tinyint NOT NULL DEFAULT '1',
  `issues_events` tinyint NOT NULL DEFAULT '1',
  `note_events` tinyint NOT NULL DEFAULT '1',
  `merge_requests_events` tinyint NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `cve_issue_hooks_issue_num` (`issue_num`),
  KEY `cve_issue_hooks_Cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_issue_template` */

DROP TABLE IF EXISTS `cve_issue_template`;

CREATE TABLE `cve_issue_template` (
  `template_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `cve_num` varchar(256) NOT NULL DEFAULT '',
  `owned_component` varchar(256) NOT NULL DEFAULT '',
  `owned_version` varchar(256) NOT NULL DEFAULT '',
  `nvd_score` decimal(10,1) NOT NULL DEFAULT '0.0',
  `openeuler_score` decimal(10,1) NOT NULL DEFAULT '0.0',
  `nvd_vector` varchar(256) NOT NULL DEFAULT '',
  `openeuler_vector` varchar(256) NOT NULL DEFAULT '',
  `cve_brief` varchar(4096) NOT NULL DEFAULT '',
  `cve_analysis` varchar(4096) NOT NULL DEFAULT '',
  `principle_analysis` varchar(4096) NOT NULL DEFAULT '',
  `affected_version` varchar(256) NOT NULL DEFAULT '',
  `solution` varchar(1024) NOT NULL DEFAULT '',
  `issue_id` bigint NOT NULL DEFAULT '0',
  `issue_num` varchar(64) NOT NULL DEFAULT '',
  `issue_assignee` varchar(128) NOT NULL DEFAULT '',
  `status` tinyint NOT NULL DEFAULT '0',
  `status_name` varchar(128) DEFAULT NULL,
  `issue_status` tinyint NOT NULL DEFAULT '0',
  `issue_label` varchar(256) NOT NULL DEFAULT '',
  `owner` varchar(128) NOT NULL DEFAULT '',
  `repo` varchar(128) NOT NULL DEFAULT '',
  `title` varchar(512) NOT NULL DEFAULT '',
  `issue_type` varchar(64) NOT NULL DEFAULT '',
  `collaborators` varchar(128) DEFAULT NULL,
  `milestone` varchar(64) DEFAULT NULL,
  `program` varchar(64) DEFAULT NULL,
  `security_hole` tinyint NOT NULL DEFAULT '0',
  `cve_level` varchar(32) DEFAULT NULL,
  `comment_id` bigint DEFAULT NULL,
  `create_time` datetime NOT NULL,
  `update_time` datetime NOT NULL,
  `delete_time` datetime NOT NULL,
  PRIMARY KEY (`template_id`),
  KEY `cve_issue_template_cve_id` (`cve_id`),
  KEY `cve_issue_template_issue_num` (`issue_num`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_open_euler_s_a` */

DROP TABLE IF EXISTS `cve_open_euler_s_a`;

CREATE TABLE `cve_open_euler_s_a` (
  `openeuler_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `public_date` varchar(16) DEFAULT NULL,
  `openeuler_sa_num` varchar(128) NOT NULL DEFAULT '',
  PRIMARY KEY (`openeuler_id`),
  UNIQUE KEY `openeuler_sa_num` (`openeuler_sa_num`),
  KEY `cve_open_euler_s_a_cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream` */

DROP TABLE IF EXISTS `cve_origin_upstream`;

CREATE TABLE `cve_origin_upstream` (
  `cve_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_un_ids` varchar(256) NOT NULL DEFAULT '',
  `cve_num` varchar(256) NOT NULL DEFAULT '',
  `update_type` varchar(32) NOT NULL DEFAULT '',
  `cve_packname` varchar(512) DEFAULT NULL,
  `git_packname` varchar(512) DEFAULT NULL,
  `cve_title` varchar(1024) DEFAULT NULL,
  `affect_porduct` varchar(512) DEFAULT NULL,
  `cnnvd_id` varchar(256) DEFAULT NULL,
  `cnvd_id` varchar(256) DEFAULT NULL,
  `published_date` varchar(32) DEFAULT NULL,
  `vul_status` varchar(64) DEFAULT NULL,
  `cve_status` tinyint NOT NULL DEFAULT '0',
  `version` varchar(64) NOT NULL,
  `affected_scope` varchar(512) DEFAULT NULL,
  `attack_link` varchar(512) DEFAULT NULL,
  `is_exit` tinyint NOT NULL DEFAULT '1',
  `create_time` varchar(32) NOT NULL DEFAULT '',
  `update_time` varchar(32) DEFAULT NULL,
  `delete_time` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`cve_id`),
  UNIQUE KEY `cve_un_ids` (`cve_un_ids`),
  KEY `cve_origin_upstream_cve_num` (`cve_num`),
  KEY `cve_origin_upstream_cve_packname` (`cve_packname`),
  KEY `cve_origin_upstream_git_packname` (`git_packname`),
  KEY `cve_origin_upstream_version` (`version`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_config` */

DROP TABLE IF EXISTS `cve_origin_upstream_config`;

CREATE TABLE `cve_origin_upstream_config` (
  `conf_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `nodes` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`conf_id`),
  KEY `cve_origin_upstream_config_cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_config_node` */

DROP TABLE IF EXISTS `cve_origin_upstream_config_node`;

CREATE TABLE `cve_origin_upstream_config_node` (
  `node_id` bigint NOT NULL AUTO_INCREMENT,
  `conf_id` bigint NOT NULL DEFAULT '0',
  `operator` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`node_id`),
  KEY `cve_origin_upstream_config_node_conf_id` (`conf_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_config_node_cpe` */

DROP TABLE IF EXISTS `cve_origin_upstream_config_node_cpe`;

CREATE TABLE `cve_origin_upstream_config_node_cpe` (
  `cpe_id` bigint NOT NULL AUTO_INCREMENT,
  `node_id` bigint NOT NULL DEFAULT '0',
  `cpe_uri` varchar(1024) DEFAULT NULL,
  `cpe_match` varchar(1024) DEFAULT NULL,
  `vulner_able` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`cpe_id`),
  KEY `cve_origin_upstream_config_node_cpe_node_id` (`node_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_desc` */

DROP TABLE IF EXISTS `cve_origin_upstream_desc`;

CREATE TABLE `cve_origin_upstream_desc` (
  `desc_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `en_desc` text CHARACTER SET utf8 COLLATE utf8_general_ci,
  `zh_desc` text CHARACTER SET utf8 COLLATE utf8_general_ci,
  PRIMARY KEY (`desc_id`),
  KEY `cve_origin_upstream_desc_cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_event` */

DROP TABLE IF EXISTS `cve_origin_upstream_event`;

CREATE TABLE `cve_origin_upstream_event` (
  `event_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `title` varchar(512) DEFAULT NULL,
  `date` varchar(32) DEFAULT NULL,
  `url` varchar(512) DEFAULT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci,
  PRIMARY KEY (`event_id`),
  KEY `cve_origin_upstream_event_cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_fix_suggest` */

DROP TABLE IF EXISTS `cve_origin_upstream_fix_suggest`;

CREATE TABLE `cve_origin_upstream_fix_suggest` (
  `fix_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `detail` varchar(1024) DEFAULT NULL,
  PRIMARY KEY (`fix_id`),
  KEY `cve_origin_upstream_fix_suggest_cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_fix_suggest_ref` */

DROP TABLE IF EXISTS `cve_origin_upstream_fix_suggest_ref`;

CREATE TABLE `cve_origin_upstream_fix_suggest_ref` (
  `fix_ref_id` bigint NOT NULL AUTO_INCREMENT,
  `fix_id` bigint NOT NULL DEFAULT '0',
  `refsource` varchar(512) DEFAULT NULL,
  `url` varchar(1024) DEFAULT NULL,
  `name` varchar(1024) DEFAULT NULL,
  PRIMARY KEY (`fix_ref_id`),
  KEY `cve_origin_upstream_fix_suggest_ref_fix_id` (`fix_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_fix_suggest_ref_tag` */

DROP TABLE IF EXISTS `cve_origin_upstream_fix_suggest_ref_tag`;

CREATE TABLE `cve_origin_upstream_fix_suggest_ref_tag` (
  `tag_id` bigint NOT NULL AUTO_INCREMENT,
  `fix_ref_id` bigint NOT NULL DEFAULT '0',
  `name` varchar(512) DEFAULT NULL,
  PRIMARY KEY (`tag_id`),
  KEY `cve_origin_upstream_fix_suggest_ref_tag_fix_ref_id` (`fix_ref_id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_impact` */

DROP TABLE IF EXISTS `cve_origin_upstream_impact`;

CREATE TABLE `cve_origin_upstream_impact` (
  `impact_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `impact` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`impact_id`),
  KEY `cve_origin_upstream_impact_cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_impact_score` */

DROP TABLE IF EXISTS `cve_origin_upstream_impact_score`;

CREATE TABLE `cve_origin_upstream_impact_score` (
  `score_id` bigint NOT NULL AUTO_INCREMENT,
  `impact_id` bigint NOT NULL DEFAULT '0',
  `base_met_v3` tinyint DEFAULT NULL,
  `base_met_v2` tinyint DEFAULT NULL,
  `cvss_v3` tinyint DEFAULT NULL,
  `cvss_v2` tinyint DEFAULT NULL,
  `score_status` tinyint DEFAULT '1',
  PRIMARY KEY (`score_id`),
  KEY `cve_origin_upstream_impact_score_impact_id` (`impact_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_impact_score_v2` */

DROP TABLE IF EXISTS `cve_origin_upstream_impact_score_v2`;

CREATE TABLE `cve_origin_upstream_impact_score_v2` (
  `v2_id` bigint NOT NULL AUTO_INCREMENT,
  `score_id` bigint NOT NULL DEFAULT '0',
  `acinsuf_info` varchar(64) DEFAULT NULL,
  `base_score` decimal(10,1) DEFAULT NULL,
  `vector_value` varchar(256) DEFAULT NULL,
  `access_complexity` varchar(64) DEFAULT NULL,
  `authentication` varchar(64) DEFAULT NULL,
  `availability_impact` varchar(64) DEFAULT NULL,
  `version` varchar(64) DEFAULT NULL,
  `confidentiality_impact` varchar(64) DEFAULT NULL,
  `integrity_impact` varchar(64) DEFAULT NULL,
  `access_vector` varchar(64) DEFAULT NULL,
  `user_interaction_required` varchar(64) DEFAULT NULL,
  `severity` varchar(64) DEFAULT NULL,
  `obtain_user_privilege` varchar(64) DEFAULT NULL,
  `obtain_all_privilege` varchar(64) DEFAULT NULL,
  `obtain_other_privilege` varchar(64) DEFAULT NULL,
  `impact_score` decimal(10,1) DEFAULT NULL,
  `exploitability_score` decimal(10,1) DEFAULT NULL,
  `cve_level` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`v2_id`),
  KEY `cve_origin_upstream_impact_score_v2_score_id` (`score_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_impact_score_v3` */

DROP TABLE IF EXISTS `cve_origin_upstream_impact_score_v3`;

CREATE TABLE `cve_origin_upstream_impact_score_v3` (
  `v3_id` bigint NOT NULL AUTO_INCREMENT,
  `score_id` bigint NOT NULL DEFAULT '0',
  `base_score` decimal(10,1) DEFAULT NULL,
  `vector_value` varchar(256) DEFAULT NULL,
  `attack_complexity` varchar(64) DEFAULT NULL,
  `attack_vector` varchar(64) DEFAULT NULL,
  `availability_impact` varchar(64) DEFAULT NULL,
  `base_severity` varchar(64) DEFAULT NULL,
  `user_interaction` varchar(64) DEFAULT NULL,
  `privilege_required` varchar(64) DEFAULT NULL,
  `version` varchar(64) DEFAULT NULL,
  `confidentiality_impact` varchar(64) DEFAULT NULL,
  `integrity_impact` varchar(64) DEFAULT NULL,
  `scope` varchar(64) DEFAULT NULL,
  `impact_score` decimal(10,1) DEFAULT NULL,
  `exploitability_score` decimal(10,1) DEFAULT NULL,
  `cve_level` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`v3_id`),
  KEY `cve_origin_upstream_impact_score_v3_score_id` (`score_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_poc` */

DROP TABLE IF EXISTS `cve_origin_upstream_poc`;

CREATE TABLE `cve_origin_upstream_poc` (
  `poc_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `source` varchar(512) DEFAULT NULL,
  `date` varchar(32) DEFAULT NULL,
  `path` varchar(512) DEFAULT NULL,
  `dbindex` varchar(512) DEFAULT NULL,
  `url` varchar(512) DEFAULT NULL,
  `desc` text CHARACTER SET utf8 COLLATE utf8_general_ci,
  PRIMARY KEY (`poc_id`),
  KEY `cve_origin_upstream_poc_cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_reference` */

DROP TABLE IF EXISTS `cve_origin_upstream_reference`;

CREATE TABLE `cve_origin_upstream_reference` (
  `ref_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `name` varchar(512) DEFAULT NULL,
  `refsource` varchar(512) DEFAULT NULL,
  `url` varchar(512) DEFAULT NULL,
  `tags` text CHARACTER SET utf8 COLLATE utf8_general_ci,
  PRIMARY KEY (`ref_id`),
  KEY `cve_origin_upstream_reference_cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_origin_upstream_vul_type` */

DROP TABLE IF EXISTS `cve_origin_upstream_vul_type`;

CREATE TABLE `cve_origin_upstream_vul_type` (
  `vul_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `cwe` varchar(256) DEFAULT NULL,
  `en_desc` text CHARACTER SET utf8 COLLATE utf8_general_ci,
  `zh_desc` text CHARACTER SET utf8 COLLATE utf8_general_ci,
  PRIMARY KEY (`vul_id`),
  KEY `cve_origin_upstream_vul_type_cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_other_user` */

DROP TABLE IF EXISTS `cve_other_user`;

CREATE TABLE `cve_other_user` (
  `user_id` int NOT NULL AUTO_INCREMENT,
  `user_name` varchar(64) NOT NULL DEFAULT '',
  `pass_word` varchar(256) NOT NULL DEFAULT '',
  `aes_key` varchar(512) NOT NULL DEFAULT '',
  `expiration_time` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `delete_time` datetime DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_package` */

DROP TABLE IF EXISTS `cve_package`;

CREATE TABLE `cve_package` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `sec_id` bigint NOT NULL DEFAULT '0',
  `pack_name` varchar(1024) DEFAULT NULL,
  `pack_url` varchar(2048) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cve_package_sec_id` (`sec_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `cve_score` */

DROP TABLE IF EXISTS `cve_score`;

CREATE TABLE `cve_score` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `cve_num` varchar(256) NOT NULL DEFAULT '',
  `nvd_score` decimal(10,1) NOT NULL DEFAULT '0.0',
  `openeuler_score` decimal(10,1) NOT NULL DEFAULT '0.0',
  `n_vector_value` varchar(256) NOT NULL DEFAULT '',
  `o_vector_value` varchar(256) NOT NULL DEFAULT '',
  `n_attack_vector` varchar(64) NOT NULL DEFAULT '',
  `o_attack_vector` varchar(64) NOT NULL DEFAULT '',
  `n_attack_complexity` varchar(64) NOT NULL DEFAULT '',
  `o_attack_complexity` varchar(64) NOT NULL DEFAULT '',
  `n_privilege_required` varchar(64) NOT NULL DEFAULT '',
  `o_privilege_required` varchar(64) NOT NULL DEFAULT '',
  `n_user_interaction` varchar(64) NOT NULL DEFAULT '',
  `o_user_interaction` varchar(64) NOT NULL DEFAULT '',
  `n_scope` varchar(64) NOT NULL DEFAULT '',
  `o_scope` varchar(64) NOT NULL DEFAULT '',
  `n_confidentiality` varchar(64) NOT NULL DEFAULT '',
  `o_confidentiality` varchar(64) NOT NULL DEFAULT '',
  `n_integrity` varchar(64) NOT NULL DEFAULT '',
  `o_integrity` varchar(64) NOT NULL DEFAULT '',
  `n_availability` varchar(64) NOT NULL DEFAULT '',
  `o_availability` varchar(64) NOT NULL DEFAULT '',
  `score_type` varchar(16) NOT NULL DEFAULT '',
  `openeuler_id` bigint DEFAULT NULL,
  `n_score_status` tinyint NOT NULL DEFAULT '0',
  `o_score_status` tinyint NOT NULL DEFAULT '0',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `delete_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `openeuler_id` (`openeuler_id`),
  KEY `cve_score_cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_score_record` */

DROP TABLE IF EXISTS `cve_score_record`;

CREATE TABLE `cve_score_record` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `nvd_score` decimal(10,1) NOT NULL DEFAULT '0.0',
  `n_vector_value` varchar(256) NOT NULL DEFAULT '',
  `status` tinyint NOT NULL DEFAULT '0',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `cve_score_record_cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_security_notice` */

DROP TABLE IF EXISTS `cve_security_notice`;

CREATE TABLE `cve_security_notice` (
  `sec_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_id` bigint NOT NULL DEFAULT '0',
  `cve_num` varchar(256) NOT NULL DEFAULT '',
  `openeuler_id` bigint DEFAULT NULL,
  `introduction` varchar(256) DEFAULT NULL,
  `summary` varchar(256) DEFAULT NULL,
  `theme` varchar(2048) DEFAULT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `influence_component` varchar(256) DEFAULT NULL,
  `affect_product` varchar(256) DEFAULT NULL,
  `reference_link` varchar(1024) DEFAULT NULL,
  `sec_status` tinyint NOT NULL DEFAULT '0',
  `affect_status` varchar(16) DEFAULT NULL,
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `delete_time` datetime NOT NULL,
  PRIMARY KEY (`sec_id`),
  UNIQUE KEY `openeuler_id` (`openeuler_id`),
  KEY `cve_security_notice_cve_id` (`cve_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_security_reviewer` */

DROP TABLE IF EXISTS `cve_security_reviewer`;

CREATE TABLE `cve_security_reviewer` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name_space` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name_space` (`name_space`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Table structure for table `cve_vuln_center` */

DROP TABLE IF EXISTS `cve_vuln_center`;

CREATE TABLE `cve_vuln_center` (
  `cve_id` bigint NOT NULL AUTO_INCREMENT,
  `cve_num` varchar(256) NOT NULL DEFAULT '',
  `cve_level` varchar(32) DEFAULT NULL,
  `cve_desc` varchar(8192) NOT NULL DEFAULT '',
  `cve_status` tinyint NOT NULL DEFAULT '0',
  `cve_version` varchar(128) NOT NULL DEFAULT '',
  `repair_time` varchar(32) NOT NULL DEFAULT '',
  `pack_name` varchar(1024) NOT NULL DEFAULT '',
  `cve_url` varchar(2048) NOT NULL DEFAULT '',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `delete_time` datetime NOT NULL,
  PRIMARY KEY (`cve_id`),
  UNIQUE KEY `cve_num` (`cve_num`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
