package main

import (
	"cvevulner/common"
	"cvevulner/models"
	_ "cvevulner/routers"
	"cvevulner/task"
	"github.com/astaxie/beego"
)

func init() {
	// 初始化全局变量
	common.InitGlobal()
	// 初始化日志
	common.LogInit()
	// 初始化数据库
	models.Initdb()
	// 初始化定时任务
	task.InitTask()
}

func main() {
	if beego.BConfig.RunMode == "dev" {
		beego.BConfig.WebConfig.DirectoryIndex = true
		beego.BConfig.WebConfig.StaticDir["/swagger"] = "swagger"
	}
	beego.Run()

}
