package models

import "time"

//GiteOriginIssue 码云上已经存在的issue
type GiteOriginIssue struct {
   Id int64 `orm:"pk;auto"`
   IssueId int64 `json:"issue_id" orm:"unique"`
   Url string ` description:"issue gitee 链接"`
   Number string `orm:"size(50);unique" description:"issue 编号"`
   State string `orm:"size(50)" description:"issue 状态"`
   Title string `orm:"null" description:"issue 标题"`
   CveNumber string `json:"cve_number" description:"CVE 编号"`
   Body string `orm:"null;type(text)" description:"issue 主体"`
   IssueCreate string `json:"issue_create" description:"issue 创建者"`
   IssueAssignee string `json:"issue_assignee" orm:"null" description:"issue 责任人"`
   RepoPath string `json:"repo_path" description:"仓库空间地址"`
   RepoUrl string  `json:"repo_url" description:"仓库码云地址链接"`
   IssueType string `json:"issue_type" description:"issue 类型"`
   IssueExistTpl bool `json:"issue_exist_tpl" description:"此 issue 是否有对应的模板"`
   SecurityHole bool `json:"security_hole" description:"是否为安全漏洞"`
   IssueCreateAt time.Time `json:"issue_create_at" orm:"null" description:"issue 创建的时间"`
   IssueUpdateAt time.Time `json:"issue_update_at" orm:"null" description:"issue 更新的时间"`
   IssueFinishAt time.Time `json:"issue_finish_at" orm:"null" description:"issue 关闭的时间"`
   GrabTime time.Time `json:"grab_time" orm:"auto_now;type(datetime)" description:"记录当前issue抓取的时间"`

}
