// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"cvevulner/controllers"

	"github.com/astaxie/beego"
)

func init() {
	ns := beego.NewNamespace("/v1",
		beego.NSNamespace("/object",
			beego.NSInclude(
				&controllers.ObjectController{},
			),
		),
		beego.NSNamespace("/packages",
			beego.NSInclude(
				&controllers.PackagesController{},
			),
		),
		beego.NSNamespace("/packages/packageinfo",
			beego.NSInclude(
				&controllers.PackagesInfoController{},
			),
		),
		beego.NSNamespace("/user",
			beego.NSInclude(
				&controllers.UserController{},
			),
		),
		beego.NSNamespace("/user/login",
			beego.NSInclude(
				&controllers.UserLoginController{},
			),
		),
		beego.NSNamespace("/cve/upload",
			beego.NSInclude(
				&controllers.UserUploadController{},
			),
		),
		beego.NSNamespace("/issue/oauth/callback",
			beego.NSInclude(
				&controllers.IssueOathCallbackController{},
			),
		),
		beego.NSNamespace("/issue/hook/event",
			beego.NSInclude(&controllers.HookEventControllers{},
			),
		),
	)
	beego.AddNamespace(ns)
}
