package task

import (
	"cvevulner/common"
	"cvevulner/taskhandler"
	"errors"
	"github.com/astaxie/beego/config"
	"github.com/astaxie/beego/logs"
)

func CheckOriCve()  error{
	defer common.Catchs()
	// 查询需要处理的cve, 1:新增；2：修改
	BConfig, err := config.NewConfig("ini", "conf/app.conf")
	if err != nil{
		logs.Error("config init error:", err)
		return err
	}
	// 单次处理的数据量
	prcnum, err := BConfig.Int("crontab::prcnum")
	if err != nil {
		logs.Error("config crontab::prcnum error: invalid value is ",prcnum)
		return errors.New("value is nil")
	}
	// 获取表的数据源
	_, errx := taskhandler.CheckCveOriginData(prcnum)
	return errx
}