package task

import (
	"cvevulner/common"
	"cvevulner/taskhandler"
	"errors"
	"github.com/astaxie/beego/config"
	"github.com/astaxie/beego/logs"
)

func GetYamlData()  error{
	defer common.Catchs()
	// 查询需要处理的cve, 1:新增；2：修改
	BConfig, err := config.NewConfig("ini", "conf/app.conf")
	if err != nil{
		logs.Error("config init error:", err)
		return err
	}
	apiUrl := BConfig.String("yaml::apiurl")
	if apiUrl == "" {
		logs.Error("config yaml::apiurl error: invalid value is ",apiUrl)
		return errors.New("value is nil")
	}
	// 获取表的数据源
	_, errx := taskhandler.GetYamlTables(apiUrl)
	// 获取yaml
	if errx == nil {
		_, errx = taskhandler.GetYamlByGit(apiUrl)
	}
	return errx
}
